# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.2.4] - 2019-04-08
### Removed
- The `$triz-font-path` & `$triz-icon-family` variables.

### Added
- The `$triz-icon-font-family`, `$triz-icon-font-src` & `$triz-icon-font-format` variables.

## [0.2.3] - 2019-04-06
### Fixed
- Fixed the mixin to add icons and font-family.

## [0.2.2] - 2019-03-17
### Fixed
- The `full-width-element()` mixin now works properly.

## [0.2.1] - 2019-03-17
### Fixed
The `full-screen-background()` now sets the `background` property.

## [0.2.0] - 2019-03-13
### Added
- The `triz-transition()` mixin [View task](https://ora.pm/project/1091/list/218981/task/821678).
- A changelog.

### Removed
- The `font-size` property set on icons in the `triz-icon-base()` mixin.

### Changed
- The `triz-base` mixin is now splitted in `triz-core` [View task](https://ora.pm/project/1091/list/218981/task/821678).
- Upped the Foundation for Sites requirement from `6.5.1` to `6.5.3`.
- Upped the Instant Pages requirement from `1.1.0` to `1.2.1`.
- The `global-font-size-in-px()` function is replaced with the `percentage-to-px()` function [View task](https://ora.pm/project/1091/list/218981/task/821678).

### Fixed
- The `full-screen-background` error handling now works properly [View task](https://ora.pm/project/1091/list/218981/task/821678).

## [0.1.0] - 2019-02-25
### Changed
- Released the initial version of the core assets package.

[Unreleased]:https://gitlab.com/triz/core-assets/compare/0.2.4...HEAD
[0.2.4]:https://gitlab.com/triz/core-assets/compare/0.2.3...0.2.4
[0.2.3]: https://gitlab.com/triz/core-assets/compare/0.2.2...0.2.3
[0.2.2]: https://gitlab.com/triz/core-assets/compare/0.2.1...0.2.2
[0.2.1]: https://gitlab.com/triz/core-assets/compare/0.2.0...0.2.1
[0.2.0]: https://gitlab.com/triz/core-assets/compare/0.1.0...0.2.0
